- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# USB task entry point module

Collaboration diagram for USB task entry point module:

## Modules
| USB software Events Management
| Macros to manage USB events detected under interrupt.

| Standard requests defines
## Defines
#define | USB_MODE_UNDEFINED 0x00
#define | USB_MODE_HOST 0x01
#define | USB_MODE_DEVICE 0x02
## Functions
void | usb_task_init (void)
| This function initializes the USB proces.
void | usb_task (void)
| Entry point of the USB mamnagement.
## Variables
volatile U16 | g_usb_event
| Public : U16 g_usb_event usb_connected is used to store USB events detected upon USB general interrupt subroutine Its value is managed by the following macros (See usb_task.h file) Usb_send_event(x) Usb_ack_event(x) Usb_clear_all_event() Is_usb_event(x) Is_not_usb_event(x).
U8 | g_usb_mode
| Public : (U8) g_usb_mode Used in dual role application (both device/host) to store the current mode the usb controller is operating /.
U8 | usb_remote_wup_feature
volatile U8 | private_sof_counter
| Private : (U8) private_sof_counter Incremented by host SOF interrupt subroutime This counter is used to detect timeout in host requests.

## Define Documentation

#define USB_MODE_UNDEFINED 0x00

Definition at line 106 of file usb_task.h.

#define USB_MODE_HOST 0x01

Definition at line 107 of file usb_task.h.

#define USB_MODE_DEVICE 0x02

Definition at line 108 of file usb_task.h.

## Function Documentation

void usb_task_init | ( | void |  | ) |

This function initializes the USB proces.

The function calls the coresponding usb mode initialization function

Parameters:

  | none |

Returns:
  none

Definition at line 129 of file usb_task.c.

References DISABLED, usb_device_task_init(), Usb_enable_regulator, and usb_remote_wup_feature.

    00130 {
    00131    #if (USE_USB_PADS_REGULATOR==ENABLE)  // Otherwise assume USB PADs regulator is not used
    00132    Usb_enable_regulator();
    00133    #endif
    00134    usb_device_task_init();
    00135 #if (USB_REMOTE_WAKEUP == ENABLED)
    00136    usb_remote_wup_feature = DISABLED;
    00137 #endif
    00138 }

Here is the call graph for this function:

void usb_task | ( | void |  | ) |

Entry point of the USB mamnagement.

The function calls the coresponding usb management function.

Parameters:

  | none |

Returns:
  none

Definition at line 149 of file usb_task.c.

References usb_device_task().

    00150 {
    00151    usb_device_task();
    00152 }

Here is the call graph for this function:

## Variable Documentation

volatile U16 g_usb_event

Public : U16 g_usb_event usb_connected is used to store USB events detected upon USB general interrupt subroutine Its value is managed by the following macros (See usb_task.h file) Usb_send_event(x) Usb_ack_event(x) Usb_clear_all_event() Is_usb_event(x) Is_not_usb_event(x).

Definition at line 71 of file usb_task.c.

U8 g_usb_mode

Public : (U8) g_usb_mode Used in dual role application (both device/host) to store the current mode the usb controller is operating /.

Definition at line 114 of file usb_task.c.

U8 usb_remote_wup_feature

Definition at line 76 of file usb_standard_request.c.

Referenced by usb_clear_feature(), usb_general_interrupt(), usb_set_feature(), and usb_task_init().

volatile U8 private_sof_counter

Private : (U8) private_sof_counter Incremented by host SOF interrupt subroutime This counter is used to detect timeout in host requests.

It must not be modified by the user application tasks. /

Definition at line 100 of file usb_task.c.